cURL
curl --request GET \ --url https://api.yiksipay.com/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules/{id} \ --header 'x-api-key: <api-key>'
{ "data": { "createdAt": "2025-08-26T17:27:37.369Z", "destination": { "address": "0x77777777Dcc4d5A8B6E418Fd04D8997ef11000eE", "asset": "USDC", "blockchain": "base" }, "id": "55869cbe-fa3a-44d2-a7e3-d65c08355e4d", "isActive": true, "name": "Swap from USDC to Optimism USDC", "order": "FASTEST", "slippageTolerance": "5", "source": { "assets": [ "USDC" ], "blockchain": "base", "maxAmount": "1000", "minAmount": "1" }, "updatedAt": "2025-08-26T17:27:37.369Z" }, "message": "Auto settlement rule fetched successfully", "statusCode": 200 }
This endpoint allows you to retrieve the details of a specific auto-settlement rule associated with a particular address.
id
"{{walletId}}"
"534e0480-f444-40c0-bc2e-2ef17bf7999e"
"55869cbe-fa3a-44d2-a7e3-d65c08355e4d"
200
Show child attributes
"Auto settlement rule fetched successfully"